rebased to 0.9.38
This commit is contained in:
parent
f8c1a0211f
commit
0d8e0228b6
@ -1 +1 @@
|
||||
lldpad-0.9.32.tar.gz
|
||||
lldpad-0.9.38.tar.gz
|
||||
|
||||
@ -1,12 +1,12 @@
|
||||
--- lldpad-0.9.26/lldpad.init.orig 2010-02-25 10:32:30.000000000 +0100
|
||||
+++ lldpad-0.9.26/lldpad.init 2010-02-25 10:52:52.000000000 +0100
|
||||
--- lldpad-0.9.38/lldpad.init.orig 2010-06-23 10:52:43.000000000 +0200
|
||||
+++ lldpad-0.9.38/lldpad.init 2010-06-23 11:01:02.000000000 +0200
|
||||
@@ -151,6 +151,7 @@
|
||||
# See how we were called.
|
||||
case "$1" in
|
||||
start)
|
||||
+ [ "$EUID" = "0" ] || exit 4
|
||||
echo -n $"Starting $LLDPAD: "
|
||||
$LLDPAD_BIN -k
|
||||
$LLDPAD_BIN -k
|
||||
start_daemon $LLDPAD_BIN -d $OPTIONS
|
||||
@@ -158,6 +159,7 @@
|
||||
[ $? -eq 0 ] && touch /var/lock/subsys/lldpad
|
||||
@ -16,22 +16,27 @@
|
||||
echo -n $"Shutting down $LLDPAD: "
|
||||
killproc $LLDPAD
|
||||
rc_status -v
|
||||
@@ -177,6 +179,14 @@
|
||||
|
||||
# NOTE: checkproc returns LSB compliant status values.
|
||||
checkproc $LLDPAD_BIN
|
||||
@@ -166,6 +168,19 @@
|
||||
status)
|
||||
echo -n "Checking for service $LLDPAD: "
|
||||
p=`pidof $LLDPAD`
|
||||
+ RC=$?
|
||||
+ if [ "$RC" = "3" -a -f /var/lock/subsys/lldpad ]; then
|
||||
+ rc_failed 2
|
||||
+ elif [ "$RC" = "3" ]; then
|
||||
+ rc_failed 3
|
||||
+ elif [ "$RC" = "1" ]; then
|
||||
+ rc_failed 1
|
||||
+ if [ "$RC" = "1" ]; then
|
||||
+ echo "stopped"
|
||||
+ if [ -f /var/lock/subsys/lldpad ]; then
|
||||
+ rc_failed 2
|
||||
+ elif [ -f /var/run/lldpad.pid ]; then
|
||||
+ rc_failed 1
|
||||
+ else
|
||||
+ rc_failed 3
|
||||
+ fi
|
||||
+ else
|
||||
+ echo "running"
|
||||
+ fi
|
||||
# NOTE: rc_status knows that we called this init script with
|
||||
# "status" option and adapts its messages accordingly.
|
||||
rc_status -v
|
||||
@@ -236,9 +246,13 @@
|
||||
;;
|
||||
try-restart|condrestart)
|
||||
@@ -226,9 +238,13 @@
|
||||
rc_failed 3
|
||||
rc_status -v
|
||||
;;
|
||||
|
||||
@ -7,7 +7,7 @@ diff -Nurp dcbd-0.9.7-current/dcbd.init dcbd-0.9.7-corrected/dcbd.init
|
||||
#
|
||||
-# chkconfig: 345 20 80
|
||||
+# chkconfig: - 20 80
|
||||
# description: Data Center Bridging Exchange protocol daemon
|
||||
# description: Link Layer Discovery Protocol Agent Daemon
|
||||
#
|
||||
### BEGIN INIT INFO
|
||||
# Provides: lldpad
|
||||
@ -16,7 +16,7 @@ diff -Nurp dcbd-0.9.7-current/dcbd.init dcbd-0.9.7-corrected/dcbd.init
|
||||
-# Default-Start: 3 5
|
||||
+# Default-Start:
|
||||
# Default-Stop:
|
||||
+# Short-Description: Data Center Bridging Exchange protocol daemon
|
||||
# Description: Data Center Bridging Exchange protocol daemon
|
||||
+# Short-Description: Link Layer Discovery Protocol Agent Daemon
|
||||
# Description: Link Layer Discovery Protocol Agent Daemon
|
||||
### END INIT INFO
|
||||
|
||||
|
||||
@ -1,6 +1,6 @@
|
||||
Name: lldpad
|
||||
Version: 0.9.32
|
||||
Release: 2%{?dist}
|
||||
Version: 0.9.38
|
||||
Release: 1%{?dist}
|
||||
Summary: Intel LLDP Agent
|
||||
|
||||
Group: System Environment/Daemons
|
||||
@ -105,6 +105,10 @@ test -e %{_includedir}/dcbd && `rm -f %{_includedir}/dcbd`
|
||||
|
||||
|
||||
%changelog
|
||||
* Mon Jun 28 2010 Jan Zeleny <jzeleny@redhat.com> - 0.9.38-1
|
||||
- rebased to 0.9.38 (various enhancements and bugfixes, see
|
||||
lldpad-0.9.38-relnotes.txt on http://e1000.sf.net for complete list)
|
||||
|
||||
* Mon May 10 2010 Jan Zeleny <jzeleny@redhat.com> - 0.9.32-2
|
||||
- rebuild to match new libconfig
|
||||
|
||||
|
||||
Loading…
Reference in New Issue
Block a user